<section class="main">
  <input *ngIf="(todos | async)?.length"
    class="toggle-all"
    type="checkbox"
    [checked]="(completedCount | async) === (todos | async)?.length"
    (click)="handleCompleteAll()"
    />
  <ul class="todo-list">
    <template ngFor let-todo [ngForOf]="(filteredTodos | async)">
      <todo-item
        [todo]="todo"
        (onDestroy)="handleDestroy($event)"
        (onChange)="handleChange($event)"
        (onSave)="handleSave($event)"
      ></todo-item>
    </template>
  </ul>
  <app-footer *ngIf="(todos | async)?.length"
              [completedCount]="completedCount | async"
              [activeCount]="activeCount | async"
              [filter]="visibilityFilter | async"
              (onClearCompleted)="handleClearCompleted()"
              (onShow)="handleShow($event)"
  ></app-footer>
</section>
